> For the complete documentation index, see [llms.txt](https://docs.papayaglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papayaglobal.com/api-reference/payment-management/approve-payment-instructions.md).

# Approve Payment Instructions

The API authorizes one or more forthcoming payment instructions by specifying their IDs. It also enables you to transfer funds to the registered beneficiaries.

<mark style="color:yellow;">**`PATCH`**</mark> /payments/payments/approve?id=\<payment\_id>

**Body Parameters - Request**

| Name | Location      | Type   | Format / Values | Description               | Required |
| ---- | ------------- | ------ | --------------- | ------------------------- | -------- |
| id   | url parameter | string | true/false      | the payment id to approve | Yes      |

**Body Parameters -** **Response**

| Name                     | Type   | Format / Values | Description                                                                                                                                                                            |
| ------------------------ | ------ | --------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| items                    | array  | object          | List of items affected                                                                                                                                                                 |
| items\[]                 | object |                 |                                                                                                                                                                                        |
| items\[].type            | string |                 | type of entity (payment)                                                                                                                                                               |
| items\[].id              | string |                 | id of payment                                                                                                                                                                          |
| items\[].correlation\_id | string |                 | <p>correlation\_id is an external identifier that you provide to track payments within your own platform or system.<br>it must be unique identifier else the API request will fail</p> |
| items\[].result          | string |                 | Action result                                                                                                                                                                          |

**Request Example**

```json
PATCH /payments/payments/approve?id=pbM_VHmEQy6-ez_SrZiaDA&id=awrJqByRRdmEBXSWRr_elg

```

**Response Examples**

{% tabs %}
{% tab title="200 - OK" %}

```json
{
   "items": [
      {
         "result": "Approved Successfully",
         "id": "pbM_VHmEQy6-ez_SrZiaDA",
         "type": "payment"
      },
      {
         "result": "Approved Successfully",
         "id": "awrJqByRRdmEBXSWRr_elg",
         "type": "payment"
      }
   ]
}
```

{% endtab %}

{% tab title="400 - Bad Request" %}

```json
{
  "error": "bad_request",
  "description": "Validation errors: {\"type\":\"INDIVIDUAL\",\"id\":\"5SYjAkHqXHW0Z2cqBRW4JAAA\",\"cou... at root failed with \"Missing property org_id\"",
  "error_code": 400
}
```

{% endtab %}
{% endtabs %}

&#x20;
